% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/private_funs.R
\name{check_attached}
\alias{check_attached}
\title{Check attached packages}
\usage{
check_attached(packages = NULL)
}
\arguments{
\item{packages}{(NULL or Character)}
}
\value{
If \code{packages = NULL}, return a list of currently-attached packages. If
\code{packages} contains a character vector of package names, return a named logical
vector showing if the packages are attached or not.
}
\description{
This function behaves differently to the publicly-exposed librarian functions; because
it is meant to be used inside librarian functions, it takes package names as a
character vector instead of as bare names. That's why I don't export it.
}
\examples{
\dontrun{
check_attached()

#> [1] "stats"  "graphics"  "grDevices"  ...

check_attached(c("utils", "stats"))

#> utils stats 
#> TRUE  TRUE 
}

}
